/*
* Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
*
* https://www.mall4j.com/
*
* 未经允许，不可做商业用途！
*
* 版权所有，侵权必究！
*/
import request from '@/utils/request'

export function page (pageParam) {
  return request({
    url: '/mall4cloud_order/mp/transport/page',
    method: 'get',
    params: pageParam
  })
}

export function get (transportId) {
  return request({
    url: '/mall4cloud_order/mp/transport',
    method: 'get',
    params: {
      transportId
    }
  })
}

export function save (data) {
  return request({
    url: '/mall4cloud_order/mp/transport',
    method: 'post',
    data
  })
}

export function update (data) {
  return request({
    url: '/mall4cloud_order/mp/transport',
    method: 'put',
    data
  })
}

export function deleteById (transportIds) {
  return request({
    url: '/mall4cloud_order/mp/transport?transportIds=' + transportIds,
    method: 'delete'
    // params: {
    //   transportIds
    // }
  })
}

export function listArea () {
  return request({
    url: '/mall4cloud_order/mp/area/list',
    method: 'get',
    params: {}
  })
}

export function listAreaInfo () {
  return request({
    url: '/mall4cloud_order/mp/area/area_list_info',
    method: 'get',
    params: {}
  })
}

export function listAreaOfEnable () {
  return request({
    url: '/mall4cloud_order/mp/area/list_area_of_enable',
    method: 'get',
    params: {}
  })
}
